org.apache.hadoop.registry.client.impl.zk

## Class ZKPathDumper

- java.lang.Object
- - org.apache.hadoop.registry.client.impl.zk.ZKPathDumper

-     public class ZKPathDumper
      extends Object

  This class dumps a registry tree to a string. It does this in the `toString()` method, so it can be used in a log statement -the operation will only take place if the method is evaluated.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `INDENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ZKPathDumper(org.apache.curator.framework.CuratorFramework curator, String root, boolean verbose)` Create a path dumper -but do not dump the path until asked

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `toString()` Trigger the recursive registry dump.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### INDENT

          public static final int INDENT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ZKPathDumper

          public ZKPathDumper(org.apache.curator.framework.CuratorFramework curator,
                              String root,
                              boolean verbose)

      Create a path dumper -but do not dump the path until asked
      Parameters:
        `curator` - curator instance
        `root` - root
        `verbose` - verbose flag - includes more details (such as ACLs)

  - ### Method Detail

    - #### toString

          public String toString()

      Trigger the recursive registry dump.
      Overrides:
        `toString` in class `Object`
      Returns:
        a string view of the registry

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.